<template>
  <b-row h-100 class="mb-2">
    <b-col cols="12">
      <h1 class="mb-4">{{ title }}</h1>
    </b-col>
    <b-col cols="12">
      <b-carousel id="carousel1"
                  style="text-shadow: 1px 1px 2px #333;"
                  controls
                  indicators
                  background="#ababab"
                  :interval="4000"
                  img-width="1024"
                  img-height="480"
                  v-model="slide"
                  @sliding-start="onSlideStart"
                  @sliding-end="onSlideEnd">
        <b-carousel-slide
          v-for="(item, index ) in titems"
          :key="item.id"
          :caption="item.caption"
          :text="item.caption"
          :img-src="item.imageUrl">
        </b-carousel-slide>
      </b-carousel>
    </b-col>
  </b-row>
</template>

<script>
  export default {
    name: 'test-file',
    props: {
      title: {
        type: String,
        default: 'Carousel test'
      }
    },
    data () {
      return {
        items: [
          { imageUrl: 'https://picsum.photos/1024/480/?image=52', id: '0', title: 'First', caption: 'Lorem ipsum' },
          { imageUrl: 'https://picsum.photos/1024/480/?image=54', id: '1', title: 'Second', caption: 'Dolor sonter' },
          { imageUrl: 'https://picsum.photos/1024/480/?image=58', id: '2', title: 'Third', caption: 'Null edtrd' },
          { imageUrl: 'https://picsum.photos/1024/480/?image=55', id: '3', title: 'Fourth', caption: 'Phtr Gamf' },
          { imageUrl: 'https://picsum.photos/1024/480/?image=58', id: '4', title: 'Fifth', caption: 'Dughn glors' }
        ]
      }
    },
    computed: {
      titems () {
        return this.items
      }
    },
    methods: {
      onSlideStart (slide) {
        this.sliding = true
      },
      onSlideEnd (slide) {
        this.sliding = false
      }
    }
  }
</script>
